Name:		glms
Version:	1.03
Release:	14
Source:		http://www.kiss.uni-lj.si/~k4fe0277/glms-%{version}.tar.gz
Patch1:		glms-1.03-redhat.patch
Patch2:		glms-1.03-lm_sensors-2.5.5-patch
Patch3:		glms-1.03-configure.patch
URL:		http://www.kiss.uni-lj.si/~k4fe0277/glms.html
Group:		User Interface/X
Copyright:	GPL
Summary:	A GNOME hardware monitoring applet.
Requires:	lm_sensors, gnome-libs
ExclusiveArch:	i386 alpha
BuildPrereq:	lm_sensors-devel, gnome-core-devel, gnome-libs-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source1:	glms_applet.desktop

%description
The glms package contains a hardware monitoring applet for GNOME. The
applet displays the temperature of processors, the speed of cooling
fans, and power supply performance.  You'll also need to have the
lm_sensors package installed.

%prep
%setup -q
%patch1 -p1 -b .redhat
%patch2 -p1 -b .lm_sensors
%patch3 -p1 -b .conf

chmod a+x $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/configure
chmod a+x $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/mkinstalldirs

cp %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{PACKAGE_VERSION}/

%build
%configure
OLD_PO_FILE_INPUT=yes make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %name

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS LICENSE NEWS README TODO
%{_bindir}/*
%{_datadir}/applets/Utility/*
%{_datadir}/gnome/help/*
%{_sysconfdir}/CORBA/servers/*

%changelog
* Mon Feb 25 2002 Phil Knirsch <pknirsch@redhat.com>
- Added alpha to ExclusiveArch:

* Wed Jan 30 2002 Phil Knirsch <pknirsch@redhat.com>
- Bumped version for rebuild
- Fixed problem with missing gnome-1.0 include

* Tue Jun 26 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed gettext/msgfmt ja.po problem
- Fixed missing gnome-core-devel BuildPrereq (#44745)

* Mon Feb 26 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Tue Feb 13 2001 Akira TAGOH <tagoh@redhat.com>
- Added a few gettext entry.

* Mon Feb 12 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese entry in .desktop
- gettextize

* Tue Feb 07 2001 Philipp Knirsch <pknirsch@redhat.de>
- Fixed bugzilla bug #25354. Quite some heavy changes needed on the data
  aquisition backend, but should work now for future releases as well

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix summary and description

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 12 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial package
